Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsc.v200410
Class RegistrationCoordinatorPortTypeImpl

    java.lang.Object
      com.atomikos.icatch.jaxb.wsc.v200410.AbstractBinding
          com.atomikos.icatch.jaxb.wsc.v200410.RegistrationCoordinatorPortTypeImpl

All Implemented Interfaces:
  RegistrationCoordinatorPortType

    public class RegistrationCoordinatorPortTypeImpl

extends AbstractBinding
implements RegistrationCoordinatorPortType

Registration coordinator implementation.

Field Summary
`static String` | `WSAT_COMPLETION_PROTOCOL_URI_08_2005`
`static String` | `WSAT_DURABLE_2PC_PROTOCOL_URI_08_2005`
`static String` | `WSAT_VOLATILE_2PC_PROTOCOL_URI_08_2005`

Fields inherited from class com.atomikos.icatch.jaxb.wsc.v200410.AbstractBinding
`ctx`

Constructor Summary
`RegistrationCoordinatorPortTypeImpl()`

Method Summary
`void` | `registerOperation(RegisterType req)`

Methods inherited from class com.atomikos.icatch.jaxb.wsc.v200410.AbstractBinding
`findTransaction, getMessageContext, getSenderAddress, getSenderURI, getTargetAddress, getTargetURI, logMessageIfDebug, sendInvalidParametersFault, sendInvalidProtocolFault, sendInvalidStateFault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSAT_COMPLETION_PROTOCOL_URI_08_2005

    public static final String WSAT_COMPLETION_PROTOCOL_URI_08_2005

See Also:
  Constant Field Values

### WSAT_VOLATILE_2PC_PROTOCOL_URI_08_2005

    public static final String WSAT_VOLATILE_2PC_PROTOCOL_URI_08_2005

See Also:
  Constant Field Values

### WSAT_DURABLE_2PC_PROTOCOL_URI_08_2005

    public static final String WSAT_DURABLE_2PC_PROTOCOL_URI_08_2005

See Also:
  Constant Field Values

Constructor Detail

### RegistrationCoordinatorPortTypeImpl

    public RegistrationCoordinatorPortTypeImpl()

Method Detail

### registerOperation

    public void registerOperation(RegisterType req)

  Specified by:
    `registerOperation` in interface `RegistrationCoordinatorPortType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.